# Module: testUtils

## Table of contents

### Interfaces

- [CurrentPointer](../wiki/testUtils.CurrentPointer)

### Functions

- [actAndThen](../wiki/testUtils#actandthen)
- [actAndThenAsync](../wiki/testUtils#actandthenasync)
- [expectEachExtends](../wiki/testUtils#expecteachextends)
- [expectMatchingKeyframes](../wiki/testUtils#expectmatchingkeyframes)
- [isolatedCleanup](../wiki/testUtils#isolatedcleanup)
- [isolatedRender](../wiki/testUtils#isolatedrender)

## Functions

### actAndThen

▸ **actAndThen**<`T`\>(`renderResult`, `actBody`, `expectBody`): `void`

Helper to run testing-library-react's `act` and work with the result
Assumes a mutable "current" pointer will be updated by each act() (e.g. RenderHookResult)

#### Type parameters

| Name |
| :------ |
| `T` |

#### Parameters

| Name | Type |
| :------ | :------ |
| `renderResult` | [`CurrentPointer`](../wiki/testUtils.CurrentPointer)<`T`\> |
| `actBody` | (`current`: `T`) => `void`[] \| (`current`: `T`) => `void` |
| `expectBody` | (`updated`: `T`) => `void` |

#### Returns

`void`

#### Defined in

[testUtils.ts:25](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L25)

___

### actAndThenAsync

▸ **actAndThenAsync**<`T`\>(`renderResult`, `actBody`, `expectBody`): `Promise`<`void`\>

#### Type parameters

| Name |
| :------ |
| `T` |

#### Parameters

| Name | Type |
| :------ | :------ |
| `renderResult` | [`CurrentPointer`](../wiki/testUtils.CurrentPointer)<`T`\> |
| `actBody` | (`current`: `T`) => `Promise`<`void`\>[] \| (`current`: `T`) => `Promise`<`void`\> |
| `expectBody` | (`updated`: `T`) => `Promise`<`void`\> |

#### Returns

`Promise`<`void`\>

#### Defined in

[testUtils.ts:39](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L39)

___

### expectEachExtends

▸ **expectEachExtends**<`T`\>(`actual`, `expected`): `void`

#### Type parameters

| Name |
| :------ |
| `T` |

#### Parameters

| Name | Type |
| :------ | :------ |
| `actual` | `T`[] |
| `expected` | `Partial`<`T`\>[] |

#### Returns

`void`

#### Defined in

[testUtils.ts:54](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L54)

___

### expectMatchingKeyframes

▸ **expectMatchingKeyframes**(`webAnimation`, `expected`): `void`

#### Parameters

| Name | Type |
| :------ | :------ |
| `webAnimation` | `Animation` |
| `expected` | `Keyframe`[] |

#### Returns

`void`

#### Defined in

[testUtils.ts:61](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L61)

___

### isolatedCleanup

▸ **isolatedCleanup**(): `void`

#### Returns

`void`

#### Defined in

[testUtils.ts:10](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L10)

___

### isolatedRender

▸ **isolatedRender**(`el`): `RenderResult`<`__module`, `HTMLElement`, `HTMLElement`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `el` | `ReactElement`<`any`, `string` \| `JSXElementConstructor`<`any`\>\> |

#### Returns

`RenderResult`<`__module`, `HTMLElement`, `HTMLElement`\>

#### Defined in

[testUtils.ts:4](https://github.com/tristanjohnson849/react-controlled-animations/blob/6260191/src/testUtils.ts#L4)
